Subject: [bug#56150] [PATCH 0/2][core-updates] gnu: mesa: Update to 22.1.2.

From: John Kehayias <[email-masked]>
Date: Wed, 22 Jun 2022 15:31:52 +0000

Hi Guix,

Incoming are two patches to update Mesa to the latest stable version, 22.1.2 (as of this writing, they move quickly though).

The first patch does the update which needed to drop the configure-flag dri-drivers as those have been dropped from Mesa. They do exist on an alternative branch, but should only be for really old hardware, while there are more current drivers that have been in Mesa for years (the Gallium ones). The configure-flag we had set needed to be dropped for Mesa to build. I could also reenable a test on i686 that was disabled due to it failing with an upstream bug (now closed).

It is hard to parse all the codenames and hardware, but discussion on IRC leads me to believe this is for probably 10+ year old hardware, while some old hardware is supported by newer drivers like the crocus one. Here is one place to see the announcement and related links: https://www.phoronix.com/scan.php?page=news_item&px=Mesa-Classic-Retired

Second patch does a minor clean up to use "auto" where available for gallium-drivers and vulkan-drivers. From parsing the meson build here: https://cgit.freedesktop.org/mesa/mesa/tree/meson.build I tried to make sure that the "auto" setting is available for the listed architecture and that it has at least as many drivers enabled as we had previously. For example, for vulkan-drivers on x86 it also adds the swrast driver. In other cases either "auto" is not listed for the architecture or it has less drivers than what we currently  build. One effect is that the crocus and i915 Gallium drivers are built, which I believe is needed to support some Intel hardware with the dri-drivers dropped.

(I added my copyright line in the second patch, forgot it in the first.)

Note that I tested this builds for x86_64 and i686. I have not tried to run anything with this Mesa nor build on other architectures.

Thanks,
John